//
//  BackgroundTaskViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 16/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Macros.h"
#import "OSCDStackManager.h"
#import "DetailViewManager.h"

@interface BackgroundTaskViewController : UIViewController <SubstitutableDetailViewController>


/// SubstitutableDetailViewController
@property (nonatomic, strong) UIBarButtonItem *navigationPaneBarButtonItem;
@property (nonatomic, retain) UINavigationBar *navigationBar;


@property (weak, nonatomic) IBOutlet UIButton *startLoadButton;
@property (weak, nonatomic) IBOutlet UILabel *loadJobsCountTextField;

@property (weak, nonatomic) IBOutlet UIButton *startDeleteButton;
@property (weak, nonatomic) IBOutlet UILabel *deleteJobsCountTextField;

@end
