//
//  PeopleDetailViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 13/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Macros.h"
#import "OSCDStackManager.h"
#import "DetailViewManager.h"

@interface PeopleDetailViewController : UIViewController <SubstitutableDetailViewController, UITextFieldDelegate> {
    bool _edited;

}

@property (strong, nonatomic) id detailItem;

/// SubstitutableDetailViewController
@property (nonatomic, strong) UIBarButtonItem *navigationPaneBarButtonItem;
@property (nonatomic, retain) IBOutlet UINavigationBar *navigationBar;


@property (weak, nonatomic) IBOutlet UITextField *detailDescriptionTextField;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;
@property (weak, nonatomic) IBOutlet UILabel *timestampTextField;
@property (weak, nonatomic) IBOutlet UITextView *detailsTextView;
@property (weak, nonatomic) IBOutlet UIButton *saveButton;
@property (weak, nonatomic) IBOutlet UIButton *cancelButton;

@end
