//
//  BackupsTableViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 14/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MessageUI/MessageUI.h>
#import "OSCDStackManager.h"
#import "CellMenuPickerViewController.h"
#import "ICloudFileTableViewCell.h"

@interface BackupsTableViewController : UITableViewController <CellMenuPickerDelegate, MFMailComposeViewControllerDelegate> {
    NSMetadataQuery* _query;
    NSArray* _localFileList;
    NSArray* _icloudFileList;

}

@property (nonatomic, strong) CellMenuPickerViewController *cellMenuPicker;
@property (nonatomic, strong) UIPopoverController *cellMenuPickerPopover;

@end
