//
//  Contact.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 13/01/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import "OSManagedObject.h"

@class Person;

@interface Contact : OSManagedObject

@property (nonatomic, retain) NSDate * date;
@property (nonatomic, retain) id details;
//@property (nonatomic, retain) NSDate * timestamp;

@property (nonatomic, retain) NSSet *person;
@end

@interface Contact (CoreDataGeneratedAccessors)

- (void)addPersonObject:(Person *)value;
- (void)removePersonObject:(Person *)value;
- (void)addPerson:(NSSet *)values;
- (void)removePerson:(NSSet *)values;

@end
