//
//  OpeningViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 12/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DetailViewManager.h"
#import "Macros.h"
#import "OSCDStackManager.h"

@interface OpeningViewController : UIViewController <SubstitutableDetailViewController>

/// Things for IB
@property (nonatomic, strong) IBOutlet UILabel *titleLabel;
@property (nonatomic, strong) IBOutlet UILabel *versionLabel;
@property (nonatomic, strong) IBOutlet UILabel *buildLabel;

/// SubstitutableDetailViewController
@property (nonatomic, strong) UIBarButtonItem *navigationPaneBarButtonItem;

@property (nonatomic, retain) IBOutlet UINavigationBar *navigationBar;

@end
