//
//  ProjectType.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 13/01/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import "OSManagedObject.h"

@class Project;

@interface ProjectType : OSManagedObject

@property (nonatomic, retain) NSString *name;
//@property (nonatomic, retain) NSDate * timestamp;

@property (nonatomic, retain) NSSet *projects;
@end

@interface ProjectType (CoreDataGeneratedAccessors)

- (void)addProjectsObject:(Project *)value;
- (void)removeProjectsObject:(Project *)value;
- (void)addProjects:(NSSet *)values;
- (void)removeProjects:(NSSet *)values;

@end
